Skip to main content
PATCH
/
api
/
v1
/
batches
/
{id}
curl -X PATCH https://api.chessplay.io/api/v1/batches/1/ \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "Updated Batch"}'
{
  "id": 1,
  "name": "Updated Batch",
  "coach": {...}
}

Documentation Index

Fetch the complete documentation index at: https://developer.chessplay.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
integer
required
Batch ID

Body Parameters

name
string
Batch name
coach_id
integer
Coach ID
curl -X PATCH https://api.chessplay.io/api/v1/batches/1/ \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "Updated Batch"}'
{
  "id": 1,
  "name": "Updated Batch",
  "coach": {...}
}
Admin only